
package com.tmerclub.cloud.api.user.bo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户相关订单统计数据
 * @author: cl
 * @date: 2021-04-14 14:04:01
 */
public class UserOrderStatisticBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "时间")
    private String timeData;

    @Schema(description = "最近消费时间")
    private Date reConsTime;

    @Schema(description = "消费金额")
    private Double consAmount;

    @Schema(description = "实付金额")
    private Long actualAmount;

    @Schema(description = "消费次数")
    private Integer consTimes;

    @Schema(description = "消费人数")
    private Integer payUserCount;

    @Schema(description = "平均折扣")
    private Double averDiscount;

    @Schema(description = "售后金额")
    private Double afterSaleAmount;

    @Schema(description = "售后次数")
    private Integer afterSaleTimes;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getReConsTime() {
        return reConsTime;
    }

    public void setReConsTime(Date reConsTime) {
        this.reConsTime = reConsTime;
    }

    public Double getConsAmount() {
        return consAmount;
    }

    public void setConsAmount(Double consAmount) {
        this.consAmount = consAmount;
    }

    public Long getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(Long actualAmount) {
        this.actualAmount = actualAmount;
    }

    public Integer getConsTimes() {
        return consTimes;
    }

    public void setConsTimes(Integer consTimes) {
        this.consTimes = consTimes;
    }

    public Double getAverDiscount() {
        return averDiscount;
    }

    public void setAverDiscount(Double averDiscount) {
        this.averDiscount = averDiscount;
    }

    public Double getAfterSaleAmount() {
        return afterSaleAmount;
    }

    public void setAfterSaleAmount(Double afterSaleAmount) {
        this.afterSaleAmount = afterSaleAmount;
    }

    public Integer getAfterSaleTimes() {
        return afterSaleTimes;
    }

    public void setAfterSaleTimes(Integer afterSaleTimes) {
        this.afterSaleTimes = afterSaleTimes;
    }

    public Integer getPayUserCount() {
        return payUserCount;
    }

    public void setPayUserCount(Integer payUserCount) {
        this.payUserCount = payUserCount;
    }

    public String getTimeData() {
        return timeData;
    }

    public void setTimeData(String timeData) {
        this.timeData = timeData;
    }

    @Override
    public String toString() {
        return "UserOrderStatisticBO{" +
                "userId=" + userId +
                ", timeData=" + timeData +
                ", reConsTime=" + reConsTime +
                ", consAmount=" + consAmount +
                ", actualAmount=" + actualAmount +
                ", consTimes=" + consTimes +
                ", payUserCount=" + payUserCount +
                ", averDiscount=" + averDiscount +
                ", afterSaleAmount=" + afterSaleAmount +
                ", afterSaleTimes=" + afterSaleTimes +
                '}';
    }
}
